Genome::Sys(3pm)

NAME
Genome::Sys - System layer

VERSION
This document describes Genome::Sys version 0.05.

SYNOPSIS
use Genome;

my $dir = Genome::Sys->dbpath('cosmic', 'latest');

DESCRIPTION
Genome::Sys is a simple layer on top of OS-level concerns, including those automatically handled by the analysis system, like database cache locations.

METHODS

  swpath($name,$version)
Return the path to a given executable, library, or package.

This is a wrapper for the OS-specific strategy for managing multiple versions of software packages, (i.e. /etc/alternatives for Debian/Ubuntu)

The GENOME_SW environment variable contains a colon-separated lists of paths which this falls back to. The default value is /var/lib/genome/sw/.

  dbpath($name,$version)
Return the path to the preprocessed copy of the specified database. (This is in lieu of a consistent API for the database in question.)

The GENOME_DB environment variable contains a colon-separated lists of paths which this falls back to. The default value is /var/lib/genome/db/.